﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Data;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
using HeuristicLab.Common;
using HEAL.Attic;

namespace HeuristicLab.Problems.MetaOptimization {
  [StorableType("EFF4541F-45B2-417D-8742-BDD8477384D7")]
  public class NullValue : ValueTypeValue<int> {

    public NullValue() { }
    [StorableConstructor]
    protected NullValue(StorableConstructorFlag _) : base(_) { }
    protected NullValue(NullValue original, Cloner cloner)
      : base(original, cloner) {
    }
    public override IDeepCloneable Clone(Cloner cloner) {
      return new NullValue(this, cloner);
    }
  }
}
